# Writing An Interpreter In Go

Study project for https://interpreterbook.com/

> In this book we will create a programming language together.
>
> We'll start with 0 lines of code and end up with a fully working interpreter for the Monkey* programming language.
>
> Step by step. From tokens to output. All code shown and included. Fully tested.
